JMeterTreeListener (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.gui.tree, class: JMeterTreeListener

Package org.apache.jmeter.gui.tree

# Class JMeterTreeListener

java.lang.Object
org.apache.jmeter.gui.tree.JMeterTreeListener

All Implemented Interfaces:
  `KeyListener`, `MouseListener`, `EventListener`, `TreeSelectionListener`

public class JMeterTreeListener extends Object implements TreeSelectionListener, MouseListener, KeyListener

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JMeterTreeListener()`
  Constructor for the `JMeterTreeListener` object
  `JMeterTreeListener(JMeterTreeModel model)`
  Constructor for the JMeterTreeListener object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JMeterTreeNode`
  `getCurrentNode()`
  Gets the CurrentNode attribute of the JMeterTreeListener object.
  `JTree`
  `getJTree()`
  Gets the JTree attribute of the JMeterTreeListener object.
  `JMeterTreeNode[]`
  `getSelectedNodes()`
  `void`
  `keyPressed(KeyEvent e)`
  `void`
  `keyReleased(KeyEvent e)`
  `void`
  `keyTyped(KeyEvent e)`
  `void`
  `mouseClicked(MouseEvent ev)`
  `void`
  `mouseEntered(MouseEvent e)`
  `void`
  `mouseExited(MouseEvent ev)`
  `void`
  `mousePressed(MouseEvent e)`
  `void`
  `mouseReleased(MouseEvent e)`
  `TreePath`
  `removedSelectedNode()`
  `void`
  `setActionHandler(ActionListener ah)`
  Sets the ActionHandler attribute of the JMeterTreeListener object.
  `void`
  `setJTree(JTree tree)`
  Sets the JTree attribute of the JMeterTreeListener object.
  `void`
  `setModel(JMeterTreeModel m)`
  Set the `JMeterTreeModel` for this listener
  `void`
  `valueChanged(TreeSelectionEvent e)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JMeterTreeListener

    public JMeterTreeListener(JMeterTreeModel model)
    Constructor for the JMeterTreeListener object.
    Parameters:
      `model` - The `JMeterTreeModel` for this listener

  - ### JMeterTreeListener

    public JMeterTreeListener()
    Constructor for the `JMeterTreeListener` object

- ## Method Details

  - ### setModel

    public void setModel(JMeterTreeModel m)
    Set the `JMeterTreeModel` for this listener
    Parameters:
      `m` - The `JMeterTreeModel` to be used

  - ### setActionHandler

    public void setActionHandler(ActionListener ah)
    Sets the ActionHandler attribute of the JMeterTreeListener object.
    Parameters:
      `ah` - the new ActionHandler value

  - ### setJTree

    public void setJTree(JTree tree)
    Sets the JTree attribute of the JMeterTreeListener object.
    Parameters:
      `tree` - the new JTree value

  - ### getJTree

    public JTree getJTree()
    Gets the JTree attribute of the JMeterTreeListener object.
    Returns:
      tree the current JTree value.

  - ### getCurrentNode

    public JMeterTreeNode getCurrentNode()
    Gets the CurrentNode attribute of the JMeterTreeListener object.
    Returns:
      the CurrentNode value

  - ### getSelectedNodes

    public JMeterTreeNode[] getSelectedNodes()

  - ### removedSelectedNode

    public TreePath removedSelectedNode()

  - ### valueChanged

    public void valueChanged(TreeSelectionEvent e)
    Specified by:
      `valueChanged` in interface `TreeSelectionListener`

  - ### mouseClicked

    public void mouseClicked(MouseEvent ev)
    Specified by:
      `mouseClicked` in interface `MouseListener`

  - ### mouseReleased

    public void mouseReleased(MouseEvent e)
    Specified by:
      `mouseReleased` in interface `MouseListener`

  - ### mouseEntered

    public void mouseEntered(MouseEvent e)
    Specified by:
      `mouseEntered` in interface `MouseListener`

  - ### mousePressed

    public void mousePressed(MouseEvent e)
    Specified by:
      `mousePressed` in interface `MouseListener`

  - ### mouseExited

    public void mouseExited(MouseEvent ev)
    Specified by:
      `mouseExited` in interface `MouseListener`

  - ### keyPressed

    public void keyPressed(KeyEvent e)
    Specified by:
      `keyPressed` in interface `KeyListener`

  - ### keyReleased

    public void keyReleased(KeyEvent e)
    Specified by:
      `keyReleased` in interface `KeyListener`

  - ### keyTyped

    public void keyTyped(KeyEvent e)
    Specified by:
      `keyTyped` in interface `KeyListener`